package com.fiorano.esb.service.filenamedconfig.swt.editor;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

import com.fiorano.esb.server.api.service.config.editors.AbstractPropertyEditor;
import com.fiorano.esb.service.filenamedconfig.model.FileConfiguration;
import com.fiorano.esb.service.filenamedconfig.swt.ui.FileConfigurationUI;

public class FileConfigurationEditor extends AbstractPropertyEditor<FileConfiguration> {

	private FileConfigurationUI configUI;
	
	@Override
	public Control createEditor(Composite parent) {

		configUI = new FileConfigurationUI(this, parent, SWT.NONE);
		return configUI;
	}

	@Override
	public Control getEditor() {

		if (value == null) {
			value = new FileConfiguration();
		}
		configUI.setValue(value);
		return configUI;
	}
	
	public FileConfiguration cloneAndFetchValue() {
		
		FileConfiguration clone = null;
		
		if (value != null) {
			try {
				clone = (FileConfiguration) value.clone();
			} catch (CloneNotSupportedException e) {}
		}
		
		FileConfiguration toReturn = value;
		value = clone;
		return toReturn;
	}
}
